Category: Email notifications Estimated time: 0.00 hour
Description

When installing Redmine and uncomment example outgoing stmp settings at configuration.example.yml then user will get into

annoying trobule, where default settings will overwrite uncommented one above. It took me a bit time to figure out why email delivery

does not work.

I created a patch against master where I moved examples below default settings, thus users will not get easely into this kind of

trouble again.

This issue is common (google: "Redmine getaddrinfo: Name or service not known") but not all solutions will point into correct

solution, most will talk about DNS resolving etc.

Associated revisions

Revision 13402 - 2014-09-14 13:32 - Jean-Philippe Lang

Lowering configuration.example.yml confusion (#17492)

History

#1 - 2014-07-27 06:09 - Go MAEDA

+1

Current example is quite confusing. Moves default e-mail configuration to the top is nice idea.

#2 - 2014-08-15 13:28 - Toshi MARUYAMA

- Target version set to 2.6.0

#3 - 2014-09-14 13:33 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

If the examples are uncommented below as proposed in the patch, all the settings in previous production "section" will be overwritten. So it doesn't

look like a better option. Instead, I think that the production key should be removed in the examples to prevent that, see r13402.
